NFSD(8)

NAME
nfsd - remote NFS server

SYNOPSIS
nfsd [-rut] [-n num_servers]

DESCRIPTION
Nfsd runs on a server machine to service NFS requests from client machines. At least one nfsd must be running for a machine to operate as a server.

Unless otherwise specified, four servers for UDP transport are started.

The following options are available:

-r  Register the NFS service with portmap(8) without creating any servers. This option can be used along with the -u or -t options to re-register NFS if the portmap server is restarted.

-n  Specifies how many servers to create.

-t  Serve TCP NFS clients.

-u  Serve UDP NFS clients.

For example, “nfsd -u -t 6” serves UDP and TCP transports using six daemons.

A server should run enough daemons to handle the maximum level of concurrency from its clients, typically four to six.

Nfsd listens for service requests at the port indicated in the NFS server specification; see RFC1094.

If nfsd detects that NFS is not loaded in the running kernel, it will attempt to load a loadable kernel module containing NFS support using modload(8) by way of vfsload(3). If this fails, or no NFS LKM is available, nfsd will exit with an error.

The nfsd utility exits 0 on success, and >0 if an error occurs.

SEE ALSO
nfsstat(1), nfssvc(2), modload(8), mountd(8), portmap(8)

HISTORY
The nfsd utility first appeared in 4.4BSD.